const HtmlWebpackPlugin = require('html-webpack-plugin');
const WebpackDashboard = require('webpack-dashboard/plugin');
const FlowtypePlugin = require('flowtype-loader/plugin');

const shared = [
];

module.exports = {
  development: [
    new HtmlWebpackPlugin({
      title: 'XRAY React Component Library',
      template: 'source/index.html',
    }),
    ...shared,
    new FlowtypePlugin(),
    new WebpackDashboard(),
  ],
  production: [ ...shared ],
};
